body {
    background-color: #0A0A0A;
    color: #f8f9fa;
    background-image: url(https://detik.b-cdn.net/indopromax/background-rtp-indopromax.jpg);
    background-repeat: no-repeat;
}

.navbar-brand img {
    height: 50px; /* Adjust the height as needed */
}

.navbar {
    padding: .5rem 0rem;
}

.navbar-toggler {
    padding: .25rem 0.3rem;
}
    
.btn-show{
    background: linear-gradient(to bottom, #FCECA6 0, #A57C32 100%);
    border-image: linear-gradient(#E8BF59, #fff9c2);
    border-image-slice: 1;
    border-style: solid;
}

.fixed-width-timer {
        display: inline-block;
        width: 4ch; /* Adjust the width if necessary */
        text-align: right; /* Optional: aligns the text to the right */
}
.card {
    /*background-color: #495057;*/
    background: linear-gradient(to bottom, #11527D 0, #111b22 100%);
}
.carousel-inner{
    padding-bottom: 2em;
}
.card-header {
    background: linear-gradient(to bottom, #FFFFFF 0, #A6A6A6 100%);
    border-image: linear-gradient(#c0c0c0, #ffffff);
    border-image-slice: 1;
    border-style: solid;
    color: #000000;
    text-align: center;
    font-weight: bold;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.game-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.card-title {
    color: #f8f9fa;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: center;
    margin-bottom: 0rem;
    font-size: 1rem;
}
.provider-logo {
    cursor: pointer;
    transition: transform 0.2s;
}
.provider-logo:hover {
    transform: scale(1.05);
}
.provider-box {
    margin-bottom: 10px;
    background-color: #0b4268;
    color: #f8f9fa;
    display: flex;
    align-items: center;
    padding: 10px;
    transition: background-color 0.2s;
    cursor: pointer;
}
.provider-box:hover {
    background-color: #d8d8d8;
    color: #f9bb22;
}
.provider-box.active {
    background: linear-gradient(to bottom, #11527D 0, #111b22 100%);
}
.list-group-item {
    border: none;
}
.provider-name {
    margin-left: 10px;
    text-transform: uppercase;
}
.search-box {
    width: 25%;
}
.game-box {
    margin-bottom: 15px;
}
.rtp-value-container {
    position: relative;
    background-color: white;
    text-align: center;
    font-weight: bold;
    color: black;
    padding: 5px;
    height: 20px; /* Ensure this matches the height set for .card-body */
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 2px;
}
.percent-bar {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    background-image: linear-gradient(45deg, rgba(255, 255, 255, .15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, .15) 50%, rgba(255, 255, 255, .15) 75%, transparent 75%, transparent);
    background-size: 1rem 1rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    transition: width .6s ease;
    animation: progress-bar-stripes 1s linear infinite;
    z-index: 1;
}
.rtp-value {
    position: relative;
    z-index: 2;
}

.card-body {
    padding: 0.5rem;
}
@media (max-width: 1199.98px) {
    .navbar-collapse {
        background-color: #343a40;
        padding: 10px;
    }
    .navbar-toggler {
        color: #f8f9fa;
        border: none;
    }
    .navbar-toggler:focus {
        outline: none;
    }
    .provider-box {
        margin-bottom: 10px;
        background-color: #495057;
    }
    .game-box {
        flex: 0 0 33.3333%;
        max-width: 33.3333%;
    }
}
@media (max-width: 499.98px) {
    .game-box {
        flex: 0 0 50%;
        max-width: 50%;
    }
}
@media (max-width: 379.98px) {
    .game-box {
        flex: 0 0 100%;
        max-width: 100%;
    }
}
@media (max-width: 768px) {
    .filter-button[data-filter="all"]::after {
        content: "All";
    }
    .filter-button[data-filter="red"]::after {
        content: "Low";
    }
    .filter-button[data-filter="yellow"]::after {
        content: "Med";
    }
    .filter-button[data-filter="green"]::after {
        content: "High";
    }
    .filter-button span {
        display: none;
    }
}
@media (min-width: 1200px) {
    .navbar {
        display: none;
    }
    .page-title {
        display: block;
        font-size: 2rem;
        margin-top: 20px;
        margin-bottom: 20px;
        text-align: center;
    }
}